Your message dated Sat, 29 Sep 2012 16:02:59 +0100
with message-id <[email protected]>
and subject line Re: Bug#689151: unblock: libfsoframework/0.11.0-1.1
has caused the Debian Bug report #689151,
regarding unblock: libfsoframework/0.11.0-1.1
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
689151: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=689151
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: release.debian.org
Severity: normal
User: [email protected]
Usertags: unblock
Please unblock package libfsoframework
It fixes a serious mess of the “directory replaced by symlink”-kind.
unblock libfsoframework/0.11.0-1.1
Thanks in advance, regards.
David
-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1,
'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
Kernel: Linux 3.5-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -Nru libfsoframework-0.11.0/debian/changelog libfsoframework-0.11.0/debian/changelog
--- libfsoframework-0.11.0/debian/changelog 2012-05-25 13:19:11.000000000 -0400
+++ libfsoframework-0.11.0/debian/changelog 2012-09-27 09:17:51.000000000 -0400
@@ -1,3 +1,11 @@
+libfsoframework (0.11.0-1.1) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * debian/libfsoframework-{dbg,dev}.postinst: Fix directory to symlink
+ upgrade in postinst. (Closes: #687871)
+
+ -- David Prévot <[email protected]> Thu, 27 Sep 2012 09:17:37 -0400
+
libfsoframework (0.11.0-1) unstable; urgency=low
[ Simon Busch ]
diff -Nru libfsoframework-0.11.0/debian/libfsoframework-dbg.postinst libfsoframework-0.11.0/debian/libfsoframework-dbg.postinst
--- libfsoframework-0.11.0/debian/libfsoframework-dbg.postinst 1969-12-31 20:00:00.000000000 -0400
+++ libfsoframework-0.11.0/debian/libfsoframework-dbg.postinst 2012-09-27 09:14:22.000000000 -0400
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+# Replace documentation directory with symlink
+docdir="/usr/share/doc/libfsoframework-dbg"
+if [ -d $docdir ] && [ ! -L $docdir ]; then
+ if rmdir $docdir 2>/dev/null; then
+ ln -sf libfsoframework0 $docdir
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
diff -Nru libfsoframework-0.11.0/debian/libfsoframework-dev.postinst libfsoframework-0.11.0/debian/libfsoframework-dev.postinst
--- libfsoframework-0.11.0/debian/libfsoframework-dev.postinst 1969-12-31 20:00:00.000000000 -0400
+++ libfsoframework-0.11.0/debian/libfsoframework-dev.postinst 2012-09-27 09:15:02.000000000 -0400
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+# Replace documentation directory with symlink
+docdir="/usr/share/doc/libfsoframework-dev"
+if [ -d $docdir ] && [ ! -L $docdir ]; then
+ if rmdir $docdir 2>/dev/null; then
+ ln -sf libfsoframework0 $docdir
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0
--- End Message ---
--- Begin Message ---
On Sat, 2012-09-29 at 10:54 -0400, David Prévot wrote:
> Please unblock package libfsoframework
>
> It fixes a serious mess of the “directory replaced by symlink”-kind.
Unblocked; thanks.
Regards,
Adam
--- End Message ---